
module.exports = {
    loadInvites: (guild) => {
        return new Promise(async (res, rej) => {
            var output = [];
            try {
                let invObj = await guild.fetchInvites();
                invObj.forEach(elem => {
                    output.push({
                        name: elem.code,
                        useCount: elem.uses
                    });
                });
                res(output);
            } catch (err){
                rej(err);
            }
        })
    }
}